#ifndef BPSMAdMedia_h
#define BPSMAdMedia_h

#import <Foundation/Foundation.h>
#import "BPSMMedia.h"

//! Support class. It is passed to BPSPlayerDelegate, when ad playback starts.
@interface BPSMAdMedia : NSObject

//! Media object
@property BPSMMedia *media;

//! Landing page after clicking ad.
@property NSString *mediaClickTargetUrl;

//! Ad order number.
@property NSNumber *currentOrderNumber;

//! Number of ads in ad break.
@property NSNumber *totalNumber;

//! Total time spend on ads playback during ad break.
@property NSNumber *durationPlayed;

//! Total time of ad break.
@property NSNumber *durationTotal;

//! Currently played ad id.
@property NSString *adId;

+ (BPSMAdMedia *) newFromNSDictionary: (NSDictionary *)dict;

@end

#endif /* BPSMAdMedia_h */
