#ifndef BPSPlayerDelegate_h
#define BPSPlayerDelegate_h

#import <Foundation/Foundation.h>
#import "BPSMAdMedia.h"
#import "BPSMMedia.h"
#import "BPSMMediaPlaybackState.h"

//! Protocol for BPSPlayer delagate.
@protocol BPSPlayerDelegate <NSObject>
@optional
- (void)bpsPlayerDidPlayerLoad;
- (void)bpsPlayerDidVideoPlaying: (BPSMMediaPlaybackState *)mediaPlaybackState;
- (void)bpsPlayerDidVideoPaused: (BPSMMediaPlaybackState *)mediaPlaybackState;
- (void)bpsPlayerDidVideoStopped: (BPSMMediaPlaybackState *)mediaPlaybackState;
- (void)bpsPlayerDidVideoDurationChange: (BPSMMediaPlaybackState *)mediaPlaybackState;
- (void)bpsPlayerDidVideoCurrentTimeChange: (BPSMMediaPlaybackState *)mediaPlaybackState;
- (void)bpsPlayerDidVideoComplete: (BPSMMediaPlaybackState *)mediaPlaybackState;
- (void)bpsPlayerDidVideoBufferingStart: (BPSMMediaPlaybackState *)mediaPlaybackState;
- (void)bpsPlayerDidVideoBufferingEnd: (BPSMMediaPlaybackState *)mediaPlaybackState;
- (void)bpsPlayerDidVideoSeekingStart: (BPSMMediaPlaybackState *)mediaPlaybackState;
- (void)bpsPlayerDidVideoSeekingEnd: (BPSMMediaPlaybackState *)mediaPlaybackState;
- (void)bpsPlayerDidVideoMediaError;
- (void)bpsPlayerDidVideoDrmAuthenticationComplete;
- (void)bpsPlayerDidVideoDrmAuthenticationError;
- (void)bpsPlayerDidVideoDrmAuthenticationNeeded;
- (void)bpsPlayerDidDataProviderMediaMetadataData: (BPSMMedia *)media;
- (void)bpsPlayerDidDataProviderAdMetadataData: (BPSMAdMedia *)adMedia;
- (void)bpsPlayerDidControlVolumeChange: (float)volume;
@end

#endif /* BPSPlayerDelegate_h */
